package me.mrletsplay.bmareas.command.area;

import me.mrletsplay.mrcore.command.event.CommandInvokedEvent;
import me.mrletsplay.mrcore.fabric.command.FabricCommand;

public class AreaCommand extends FabricCommand {

	public AreaCommand() {
		super("area");
		setDescription("Create your own area on the map");
		setUsage(null);
		addSubCommand(new AreaCreateCommand());
		addSubCommand(new AreaAddCornerCommand());
		addSubCommand(new AreaRemoveCornerCommand());
		addSubCommand(new AreaListCornersCommand());
		addSubCommand(new AreaDoneCommand());
		addSubCommand(new AreaListCommand());
		addSubCommand(new AreaRenameCommand());
		addSubCommand(new AreaDeleteCommand());
	}

	@Override
	public void action(CommandInvokedEvent event) {
		sendCommandInfo(event.getSender());
	}

}
