package me.mrletsplay.bmareas.command.marker;

import me.mrletsplay.mrcore.command.event.CommandInvokedEvent;
import me.mrletsplay.mrcore.fabric.command.FabricCommand;

public class MarkerCommand extends FabricCommand {

	public MarkerCommand() {
		super("marker");
		setDescription("Add markers to the map");
		setUsage(null);

		addSubCommand(new MarkerAddCommand());
		addSubCommand(new MarkerListCommand());
		addSubCommand(new MarkerRenameCommand());
		addSubCommand(new MarkerDeleteCommand());
	}

	@Override
	public void action(CommandInvokedEvent event) {
		sendCommandInfo(event.getSender());
	}

}
